<?php
#=
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../incorporation/individus.class.php");
include("../incorporation/importation.php");
include("../include/utiljs.php");
include("../include/html.class.php");
include("../outils/verifie.inc.php");
include("../incorporation/enluminures.inc.php");


//============================================================================
//entrée en venant de verifie_*.php avec *=compte_neg,compte_nul,nocompte
//        - $elvprof = 'eleve' ou 'prof'
//        - $op = 'creer', 'supprimer' (éventuellement 'multiple')
//        - $nid = n° de l'individu sans compte dans sa table (eleves ou profs)
//        - si passage parla boîte déroulante : $box (tableau de cases à cocher)
opensession("Admin",false);
connecte($host,$user,$mdp,$db);

entete("");
print '<br />';
if ($elvprof=='eleve') $modele=$etab_modele_login_e; else $modele=$etab_modele_login_p;
if ($IMPOSE_CHGT_MDP) $champactif=0; else $champactif=1;

$supp=0;
$cree=0;
switch ($op) {
    case 'creer' :
        creer($nid);$cree++;
        break;
    case 'supprimer':
        supprimer($nid);$supp++;
        break;
    case 'multiple' :
        if (!isset($box)) alert("Aucune case cochée !");
        else {
            foreach($box as $nid) {
                switch ($action) {
                    case 'N' :  creer($nid);$cree++;break;
                    case 'S' :  supprimer($nid);$supp++;;break;
                    }
                }
            }
    }
print "<p>";
$pcree=($cree>1)? 's':'';
$psupp=($supp>1)? 's':'';
if ($cree) print "$cree compte$pcree créé$pcree.<br />";
if ($supp) print "$supp compte$psupp supprimé$psupp.<br />";
print "</p>";
print "<br />";
//print "$url?qui=$qui";
retour("$url?qui=$qui");
enqueue();
?>